
let cfg = {};
let content = '';
let originalAddrList = new Array();

function reset() {
    cfg = {};
    content = '';
    originalAddrList = new Array();
}

function config(digCfg, fileContent) {
    cfg = digCfg;
    content = fileContent;
}

function dig() {
    const arrImgs = [...content.matchAll(new RegExp(cfg.reg, 'g'))];

    arrImgs.forEach((item) => {
        const val = item[1];
        let check = true;

        cfg.ignoreProp.forEach((item) => {
            if (check && val.match(new RegExp(item))) {
                check = false;
            }
        });

        if (val.trim().length > 0 && check && originalAddrList.indexOf(val) === -1) {
            originalAddrList.push(val);
        }
    });
}

module.exports = {
    reset: reset,
    config: config,
    dig: dig,
    originalAddrList: () => { return originalAddrList; }
}
